Bug 1216279 - Review Request: cppformat - Small, safe and fast formating library for C++
Summary: Review Request: cppformat - Small, safe and fast formating library for C++
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-29 02:03 UTC by Dave Johansen
Modified: 2015-11-05 18:56 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-01 21:53:30 UTC
anto.trande: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dave Johansen 2015-04-29 02:03:42 UTC
Spec URL: https://daveisfera.fedorapeople.org/cppformat_1.1.0/cppformat.spec
SRPM URL: https://daveisfera.fedorapeople.org/cppformat_1.1.0/cppformat-1.1.0-1.fc21.src.rpm
Description: cppformat is a safe alternative to printf and a fast alternative to IOStreams.
Fedora Account System Username: daveisfera

Comment 1 Michael Schwendt 2015-05-06 20:22:41 UTC
> License:        BSD

https://fedoraproject.org/wiki/Packaging:Guidelines#Licensing
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text


> Patch0:         cppformat_so_name.patch
> Patch1:         cppformat_lib64.patch

https://fedoraproject.org/wiki/Packaging:Guidelines#Patch_Guidelines


> %files doc
> %doc doc/html/

> %package        doc
> Requires:       %{name}%{?_isa} = %{version}-%{release}

Even if the guidelines don't say anything about it [yet], please keep plain documentation packages free from superfluous dependencies. This -doc package certainly does _not_ need the base library package to be installed. It is much more convenient, if documentation packages can be installed without pulling in unnecessary dependency-chains.

Comment 2 Dave Johansen 2015-05-07 02:32:38 UTC
I fixed all of the issues below with the details below. The update .spec and source .rpm can be found at the same links as before.

(In reply to Michael Schwendt (Fedora Packager Sponsors Group) from comment #1)
> > License:        BSD
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#Licensing
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

I extracted the LICENSE from README.rst and included it in the base package (please let me know if it's need to be in the -devel package). I also emailed upstream to request that it be added to the source distribution for a future release.

> > Patch0:         cppformat_so_name.patch
> > Patch1:         cppformat_lib64.patch
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#Patch_Guidelines

I added references to the commits where these issues have been fixed upstream for a future release.

> > %files doc
> > %doc doc/html/
> 
> > %package        doc
> > Requires:       %{name}%{?_isa} = %{version}-%{release}
> 
> Even if the guidelines don't say anything about it [yet], please keep plain
> documentation packages free from superfluous dependencies. This -doc package
> certainly does _not_ need the base library package to be installed. It is
> much more convenient, if documentation packages can be installed without
> pulling in unnecessary dependency-chains.

Sorry, this was a copy and paste error from the -devel package.

Comment 3 Antonio Trande 2015-07-09 10:30:03 UTC
- [!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files

doc/html/_static/bootstrap-3.2.0/fonts/glyphicons-halflings-regular.ttf is a font file already in Fedora (glyphicons-halflings-fonts RPM).

- cppformat.i686: W: unused-direct-shlib-dependency /usr/lib/libformat.so.1.1.0 /lib/libm.so.6

See https://fedoraproject.org/wiki/Common_Rpmlint_issues?rd=PackageMaintainers/Common_Rpmlint_Issues#unused-direct-shlib-dependency

Comment 4 Dave Johansen 2015-07-10 14:58:16 UTC
Both of those issues should now be resolved.

The latest version of the .spec and source .rpm can be found at:
Spec URL: https://daveisfera.fedorapeople.org/cppformat_1.1.0/cppformat.spec
SRPM URL: https://daveisfera.fedorapeople.org/cppformat_1.1.0/cppformat-1.1.0-1.fc21.src.rpm

Comment 5 Antonio Trande 2015-07-11 20:22:04 UTC
(In reply to Dave Johansen from comment #4)
> Both of those issues should now be resolved.
> 
> The latest version of the .spec and source .rpm can be found at:
> Spec URL: https://daveisfera.fedorapeople.org/cppformat_1.1.0/cppformat.spec
> SRPM URL:
> https://daveisfera.fedorapeople.org/cppformat_1.1.0/cppformat-1.1.0-1.fc21.
> src.rpm

1)
# Extract the LICENSE (fixed upstream see https://github.com/cppformat/cppformat/commit/fde90aa551cb3cf77624b72a166144768d2db763 )
grep "^License" -A 25 ~/rpmbuild/BUILD/cppformat-1.1.0/README.rst | tail -n 21 > LICENSE
# Remove the packaged font
find -name "*.ttf" -delete

These two commands don't work:

+ grep '^License' -A 25 /builddir/rpmbuild/BUILD/cppformat-1.1.0/README.rst
+ tail -n 21
grep: /builddir/rpmbuild/BUILD/cppformat-1.1.0/README.rst: No such file or directory

README.rst is not found; try

grep "^License" -A 25 README.rst | tail -n 21 > LICENSE

+ find -name '*.ttf' -delete
+ exit 0

 doc/html/_static/bootstrap-3.2.0/fonts/glyphicons-halflings-regular.ttf is still there.

Are you sure it's sufficient remove it? Once done, is html documentation correctly displayable?

2)
-doc subpackage is a noarch package.

3)
-doc subpackage does not provide its own LICENSE.python file.

Comment 6 Dave Johansen 2015-07-15 01:47:19 UTC
(In reply to Antonio Trande from comment #5)
> These two commands don't work:
> 
> + grep '^License' -A 25 /builddir/rpmbuild/BUILD/cppformat-1.1.0/README.rst
> + tail -n 21
> grep: /builddir/rpmbuild/BUILD/cppformat-1.1.0/README.rst: No such file or
> directory
> 
> README.rst is not found; try
> 
> grep "^License" -A 25 README.rst | tail -n 21 > LICENSE

Sorry, copy and paste error that I missed there. It's fixed now.

> + find -name '*.ttf' -delete
> 
> Are you sure it's sufficient remove it? Once done, is html documentation
> correctly displayable?

It appears that it would display but not with the correct font. It looks like there's a bit of a mixed opinion, but just leaving the font is acceptable and done by several existing packages:
https://lists.fedoraproject.org/pipermail/devel/2015-July/212293.html

> 2)
> -doc subpackage is a noarch package.

Fixed arch for -doc.

> 3)
> -doc subpackage does not provide its own LICENSE.python file.

Added LICENSE.python to -doc.

Comment 7 Antonio Trande 2015-07-16 17:13:22 UTC
- Exist some hidden directories in the -doc package.
  Please check if they can be removed.

- Source0 link is not valid; use this form:

https://github.com/cppformat/cppformat/archive/1.1.0.zip#/%{name}-%{version}.zip

- cppformat.x86_64: W: private-shared-object-provides /usr/lib64/libformat.so.1.1.0 libformat.so.1()(64bit)

See https://fedoraproject.org/wiki/Common_Rpmlint_issues?rd=PackageMaintainers/Common_Rpmlint_Issues#private-shared-object-provides

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 33
     files have unknown license. Detailed output of licensecheck in
     /home/sagitter/1216279-cppformat/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files

See comment#6.

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     cppformat-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cppformat-1.1.0-1.fc23.x86_64.rpm
          cppformat-devel-1.1.0-1.fc23.x86_64.rpm
          cppformat-doc-1.1.0-1.fc23.noarch.rpm
          cppformat-1.1.0-1.fc23.src.rpm
cppformat.x86_64: W: spelling-error %description -l en_US printf -> print, prints, print f
cppformat.x86_64: W: no-documentation
cppformat-devel.x86_64: W: only-non-binary-in-usr-lib
cppformat-devel.x86_64: W: no-documentation
cppformat-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/cppformat-doc/html/_static/jquery.js
cppformat-doc.noarch: W: hidden-file-or-dir /usr/share/doc/cppformat-doc/html/.buildinfo
cppformat-doc.noarch: W: hidden-file-or-dir /usr/share/doc/cppformat-doc/html/.doctrees
cppformat-doc.noarch: W: hidden-file-or-dir /usr/share/doc/cppformat-doc/html/.doctrees
cppformat.src: W: spelling-error %description -l en_US printf -> print, prints, print f
cppformat.src: W: invalid-url Source0: https://github.com/cppformat/cppformat/releases/download/1.1.0/cppformat-1.1.0.zip HTTP Error 403: Forbidden
4 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (debuginfo)
-------------------
Checking: cppformat-debuginfo-1.1.0-1.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
cppformat.x86_64: W: private-shared-object-provides /usr/lib64/libformat.so.1.1.0 libformat.so.1()(64bit)
cppformat.x86_64: W: no-documentation
cppformat-devel.x86_64: W: only-non-binary-in-usr-lib
cppformat-devel.x86_64: W: no-documentation
cppformat-doc.noarch: W: hidden-file-or-dir /usr/share/doc/cppformat-doc/html/.doctrees
cppformat-doc.noarch: W: hidden-file-or-dir /usr/share/doc/cppformat-doc/html/.doctrees
cppformat-doc.noarch: W: hidden-file-or-dir /usr/share/doc/cppformat-doc/html/.buildinfo
cppformat-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/cppformat-doc/html/_static/jquery.js
4 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
cppformat (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

cppformat-devel (rpmlib, GLIBC filtered):
    cppformat(x86-64)
    libformat.so.1()(64bit)

cppformat-doc (rpmlib, GLIBC filtered):



Provides
--------
cppformat:
    cppformat
    cppformat(x86-64)
    libformat.so.1()(64bit)

cppformat-devel:
    cppformat-devel
    cppformat-devel(x86-64)

cppformat-doc:
    cppformat-doc



Source checksums
----------------
https://github.com/cppformat/cppformat/releases/download/1.1.0/cppformat-1.1.0.zip :
  CHECKSUM(SHA256) this package     : bfa5db9d5bafe079b711981c336ec33b3980715aadf89efc7855aca507845a0e
  CHECKSUM(SHA256) upstream package : bfa5db9d5bafe079b711981c336ec33b3980715aadf89efc7855aca507845a0e


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1216279
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Dave Johansen 2015-08-15 16:15:43 UTC
(In reply to Antonio Trande from comment #7)
> - Exist some hidden directories in the -doc package.
>   Please check if they can be removed.

I removed them and notified upstream.

> - Source0 link is not valid; use this form:
> 
> https://github.com/cppformat/cppformat/archive/1.1.0.zip#/%{name}-%{version}.
> zip

The link is actually valid. It's just that github doesn't like the way that rpmlint does the request. I would switch to the recommended URL but the URL I'm using right now is a release that contains the built documentation. I'm watching on packaging the requirements to build the packaging in Fedora, but for now the current URL is probably the beset option.

> - cppformat.x86_64: W: private-shared-object-provides
> /usr/lib64/libformat.so.1.1.0 libformat.so.1()(64bit)
> 
> See
> https://fedoraproject.org/wiki/Common_Rpmlint_issues?rd=PackageMaintainers/
> Common_Rpmlint_Issues#private-shared-object-provides

I believe that this is actually a false warning. I opened a bugzilla (see https://bugzilla.redhat.com/show_bug.cgi?id=1253917 ).

The latest version of the .spec and source .rpm can be found at:
Spec URL: https://daveisfera.fedorapeople.org/cppformat_1.1.0/cppformat.spec
SRPM URL: https://daveisfera.fedorapeople.org/cppformat_1.1.0/cppformat-1.1.0-1.fc22.src.rpm

Comment 9 Dave Johansen 2015-08-31 03:13:21 UTC
Is there anything else that needs to be done for this to be approved?

Comment 10 Antonio Trande 2015-08-31 09:37:16 UTC
Package approved.

Note: 
The'private-shared-object-provides' issue is not solved yet.
See https://bugzilla.redhat.com/show_bug.cgi?id=1253917


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 33
     files have unknown license. Detailed output of licensecheck in
     /home/sagitter/1216279-cppformat/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     cppformat-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cppformat-1.1.0-1.fc24.x86_64.rpm
          cppformat-devel-1.1.0-1.fc24.x86_64.rpm
          cppformat-doc-1.1.0-1.fc24.noarch.rpm
          cppformat-1.1.0-1.fc24.src.rpm
cppformat.x86_64: W: spelling-error %description -l en_US printf -> print, prints, print f
cppformat.x86_64: W: no-documentation
cppformat-devel.x86_64: W: only-non-binary-in-usr-lib
cppformat-devel.x86_64: W: no-documentation
cppformat-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/cppformat-doc/html/_static/jquery.js
cppformat.src: W: spelling-error %description -l en_US printf -> print, prints, print f
cppformat.src: W: invalid-url Source0: https://github.com/cppformat/cppformat/releases/download/1.1.0/cppformat-1.1.0.zip HTTP Error 403: Forbidden
4 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: cppformat-debuginfo-1.1.0-1.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
cppformat.x86_64: W: private-shared-object-provides /usr/lib64/libformat.so.1.1.0 libformat.so.1()(64bit)
cppformat.x86_64: W: no-documentation
cppformat-devel.x86_64: W: only-non-binary-in-usr-lib
cppformat-devel.x86_64: W: no-documentation
cppformat-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/cppformat-doc/html/_static/jquery.js
4 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
cppformat (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

cppformat-devel (rpmlib, GLIBC filtered):
    cppformat(x86-64)
    libformat.so.1()(64bit)

cppformat-doc (rpmlib, GLIBC filtered):



Provides
--------
cppformat:
    cppformat
    cppformat(x86-64)
    libformat.so.1()(64bit)

cppformat-devel:
    cppformat-devel
    cppformat-devel(x86-64)

cppformat-doc:
    cppformat-doc



Source checksums
----------------
https://github.com/cppformat/cppformat/releases/download/1.1.0/cppformat-1.1.0.zip :
  CHECKSUM(SHA256) this package     : bfa5db9d5bafe079b711981c336ec33b3980715aadf89efc7855aca507845a0e
  CHECKSUM(SHA256) upstream package : bfa5db9d5bafe079b711981c336ec33b3980715aadf89efc7855aca507845a0e


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1216279
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 Dave Johansen 2015-09-02 22:52:42 UTC
New Package SCM Request
=======================
Package Name: cppformat
Short Description: Small, safe and fast formatting library for C++
Upstream URL: https://github.com/cppformat/cppformat
Owners: daveisfera
Branches: f21 f22 f23 el6 epel7
InitialCC:

Comment 12 Gwyn Ciesla 2015-09-03 13:21:37 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2015-09-06 17:39:40 UTC
cppformat-1.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7966

Comment 14 Fedora Update System 2015-09-06 17:39:46 UTC
cppformat-1.1.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15219

Comment 15 Fedora Update System 2015-09-06 17:39:49 UTC
cppformat-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15221

Comment 16 Fedora Update System 2015-09-07 18:19:42 UTC
cppformat-1.1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15220

Comment 17 Fedora Update System 2015-09-07 18:21:10 UTC
cppformat-1.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15221

Comment 18 Fedora Update System 2015-09-07 23:50:44 UTC
cppformat-1.1.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15219

Comment 19 Fedora Update System 2015-09-08 01:00:31 UTC
cppformat-1.1.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7967

Comment 20 Fedora Update System 2015-09-08 01:08:03 UTC
cppformat-1.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7966

Comment 21 Fedora Update System 2015-09-11 04:25:20 UTC
cppformat-1.1.0-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15583

Comment 22 Fedora Update System 2015-09-11 04:25:26 UTC
cppformat-1.1.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15585

Comment 23 Fedora Update System 2015-09-11 04:27:57 UTC
cppformat-1.1.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8033

Comment 24 Fedora Update System 2015-09-11 04:28:02 UTC
cppformat-1.1.0-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8034

Comment 25 Fedora Update System 2015-09-11 19:52:24 UTC
cppformat-1.1.0-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15583

Comment 26 Fedora Update System 2015-09-11 19:54:01 UTC
cppformat-1.1.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15585

Comment 27 Fedora Update System 2015-09-12 04:33:43 UTC
cppformat-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8033

Comment 28 Fedora Update System 2015-09-12 04:59:48 UTC
cppformat-1.1.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8034

Comment 29 Fedora Update System 2015-09-12 21:25:44 UTC
cppformat-1.1.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15584

Comment 30 Fedora Update System 2015-11-01 21:53:10 UTC
cppformat-1.1.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2015-11-01 22:22:17 UTC
cppformat-1.1.0-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2015-11-02 01:21:49 UTC
cppformat-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2015-11-03 15:24:51 UTC
cppformat-1.1.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2015-11-05 18:56:46 UTC
cppformat-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.